## Getting started

* Make sure you understand the purpose of the project. 
* We use Xcode. If you can't run Xcode, we're sorry but it will be almost impossible for you to compile, run, test and contribute to this project.
* Make sure you have a [GitHub account] (https://github.com/signup/free). All our development is done and maintained on GitHub. 

## Submitting an issue

* Check if the issue you discovered is not already filed in the [Issues] (https://github.com/City-of-Bloomington/open311-mobile/issues)
* If the issue hasn't been filed before, submit a ticket for your issue: clearly describe the issue, including the steps needed to reproduce it if it's a bug
	* Keep the issues small. As a rule of the thumb, one commit should fix one issue.
	* Keep your issue description short, but clear.
* Do you also want to fix the issue you found?	
	* If somebody else already filed the issue, comment on the issue asking if there is somebody taking care of that.
	* Comment on your issue mentioning that you would like to fix it. If you feel it's necessary (UI bug, or more complex bug), describe how you want to fix it.

## Making changes

* We use the [fork and pull] (https://help.github.com/articles/fork-a-repo) method 
* Fork this repository on GitHub
* Start fixing the code
	* When you write code, try to document it with comments, where necessary
	* Try to follow the standard coding conventions for iOS. [Here] (https://github.com/github/objective-c-conventions) is one example we try to follow.
	* Use #pragma marks in your classes to organize the functions
* Test if your code really fixes the bug/issue you found
* Test if your fix doesn't introduce more bugs

## Submitting changes

* Push your changes in your fork
* Submit a pull request to this repo. We LOVE pull requests, and if your contribution is of good quality, we tend to accept it.




